Corrupt or incomplete installation

Questions and problems about using polymake go here.

Moderator: Moderators

kundor
Posts: 9
Joined: 15 Jul 2013, 14:53

Corrupt or incomplete installation

Postby kundor » 07 Mar 2018, 02:59

After I constructed a 4-dimensional polytope from vertices, I wanted to get its symmetry group, so I tried:

Code: Select all

$GP = linear_symmetries($P);
Then I got the message

Code: Select all

polymake: ERROR: Corrupt or incomplete installation: shared module /usr/lib/polymake/bundled/sympol/lib/common.so missing
The same error occured both with version 3.1-5 from the Ubuntu repositories, and also on shell.polymake.org.

Indeed, the only file in /usr/lib/polymake/bundled/sympol/lib/ is called polytope.so.

Is there a fix for this and, also, is there another way to compute the symmetry group? Thanks!

kundor
Posts: 9
Joined: 15 Jul 2013, 14:53

Re: Corrupt or incomplete installation

Postby kundor » 07 Mar 2018, 04:08

It seems that creating a symlink in /usr/lib/polymake/bundled/sympol/lib/ from common.so to polytope.so allows it to work.

User avatar
gawrilow
Main Author
Posts: 330
Joined: 25 Dec 2010, 17:40

Re: Corrupt or incomplete installation

Postby gawrilow » 07 Mar 2018, 09:32

Which polymake version are you using? If it's not the recently released 3.2, would you mind migrating to it?


Return to “Helpdesk”

cron